<!DOCTYPE html>
<html lang="zh-Hant">
<head>
  <meta charset="UTF-8">
  <title>SITCON Reviewing Tool</title>
  <script src="https://unpkg.com/vue@2.5.16/dist/vue.js" integrity="sha384-uDHwRgVGzCbHUyl2dKQHqgCAab0OIx/w9PqT3pvjaX/ZGARjKanO5mJGjmdixblb" crossorigin="anonymous"></script>
  <link rel="stylesheet" href="https://unpkg.com/bootstrap@4.1.3/dist/css/bootstrap.css" integrity="sha384-2QMA5oZ3MEXJddkHyZE/e/C1bd30ZUPdzqHrsaHMP3aGDbPA9yh77XDHXC9Imxw+" crossorigin="anonymous">
  <link rel="stylesheet" href="style.css" media="all">
  <script src="config.js"></script>
</head>
<body>
  <div id="app"></div>

  <!---------------------------

      BEGIN VUE.JS TEMPLATES

  ---------------------------->

  <template id="t">
    <div class="container">
      <h1>Srout Submissions Reviewing Tool</h1>

      <data-view v-if="db.length > 0" v-for="data in db" :data="data" :fields="fields"></data-view>
      <div v-if="state === 'LOADING'">Loading...</div>
      <div v-if="state === 'NOFILE'">
        Please drag HTML file into this window or click the button below to upload.
        <br>
        <input type="file" @change="onUploadByButton">
      </div>
      <div v-if="state === 'ERROR'">Loading failed, please drag HTML file manually.</div>
      <div v-if="state === 'DONE' && db.length == 0">NO DATA</div>
    </div>
  </template>

  <template id="data-field">
    <div class="field">
      <span class="field-name">{{field.label}}</span>
      <span class="field-content">
        <a v-if="field.isURL && data[field.name].match(/^https?:/)" :href="data.attachment">{{data[field.name]}}</a>
        <span v-else>{{data[field.name]}}</span>
      </span>
    </div>
  </template>

  <template id="data-view">
    <div class="data">
      <data-field v-for="field in fields" v-if="field" :field="field" :data="data"></data-field>
    </div>
  </template>

  <!---------------------------

       END VUE.JS TEMPLATES

  ---------------------------->

  <script src="app.js"></script>
</body>
</html>
<!--
  vim: et sw=2
-->
